# Uses of Class
org.apache.sling.feature.builder.BuilderContext

Packages that use BuilderContext
Package
Description
org.apache.sling.feature.builder

## Uses of BuilderContext in org.apache.sling.feature.builder

Methods in org.apache.sling.feature.builder that return BuilderContext
Modifier and Type
Method
Description
`BuilderContext`
BuilderContext.`addArtifactsOverride(ArtifactId override)`
Add an override for artifact clashes.
`BuilderContext`
BuilderContext.`addConfigsOverrides(Map<String,String> overrides)`
Add merge policies for configuration clashes.
`BuilderContext`
BuilderContext.`addFrameworkPropertiesOverrides(Map<String,String> props)`
Add overrides for the framework properties.
`BuilderContext`
BuilderContext.`addMergeExtensions(MergeHandler... extensions)`
Add merge extensions
`BuilderContext`
BuilderContext.`addPostProcessExtensions(PostProcessHandler... extensions)`
Add post process extensions
`BuilderContext`
BuilderContext.`addVariablesOverrides(Map<String,String> vars)`
Add overrides for the variables.
`BuilderContext`
BuilderContext.`setArtifactProvider(ArtifactProvider ap)`
Set the artifact provider.
`BuilderContext`
BuilderContext.`setHandlerConfiguration(String name, Map<String,String> cfg)`
Set a handler configuration.
Methods in org.apache.sling.feature.builder with parameters of type BuilderContext
Modifier and Type
Method
Description
`static Feature`
FeatureBuilder.`assemble(ArtifactId featureId, BuilderContext context, Feature... features)`
Assemble a feature based on the provided features.
`static Feature`
FeatureBuilder.`assemble(Feature feature, BuilderContext context)`
Assemble the full feature by processing its prototype.
`static Feature[]`
FeatureBuilder.`deduplicate(BuilderContext context, Feature... features)`
Remove duplicate and prototype features.
`static Feature[]`
FeatureBuilder.`resolve(BuilderContext context, String... featureIds)`
Resolve a set of features based on their ids.